Package: org.codehaus.groovy.classgen.asm.indy

## [Java] Class IndyBinHelper

- org.codehaus.groovy.classgen.asm.indy.IndyBinHelper

-     public class IndyBinHelper
      extends BinaryExpressionHelper

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionHelper` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyBinHelper(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryExpressionHelper` | `assignToArray, eval, evaluateArrayAssignmentWithOperator, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateElvisEqual, evaluateEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod, visit, writePostOrPrefixMethod`

- - ### Constructor Detail

    - #### public IndyBinHelper(WriterController wc)

  - ### Method Detail

    - #### @Override
      protected void writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)